Subject: Re: Getting Gutenprint in Guix

From: Faré <[email-masked]>
Date: Fri, 13 Aug 2021 23:34:22 -0400

As for how Guix does it, it looks like the cups-server-bin output is
created in gnu/services/cups.scm based on the union of the extensions
listed in the configuration for lib/cups, share/ppd and share/cups,
and that you would put the filter programs in the lib/cups of your
package and the ppd in the share/ppd/ (though I see some ppd.gz under
share/cups/model/), and some .drv in share/cups/drv/.